=== debian/control ===
Source: ros-melodic-clover-simulation
Section: misc
Priority: optional
Maintainer: Oleg Kalachev <okalachev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-led-msgs, ros-melodic-rospy, ros-melodic-xacro
Homepage: https://github.com/CopterExpress/clover
Standards-Version: 3.9.2

Package: ros-melodic-clover-simulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-led-msgs, ros-melodic-rospy, ros-melodic-xacro
Description: The clover_simulation package provides worlds and launch files for Gazebo.
